package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class ActivityRankingVo {

	@ApiModelProperty("最高分")
    private double score;

    @ApiModelProperty("最高分的用户id")
    private Long userId;

    @ApiModelProperty("最高分用户头像")
    private String userAvatar;

    @ApiModelProperty("最高分用户名")
    private String username;

    @ApiModelProperty("最高分用户声部")
    private String userSubject;
    
    @ApiModelProperty("参加时间")
    private Date joinDate;
    
    @ApiModelProperty("次数")
    private int times;

	@ApiModelProperty("资源ID")
	private Long resourceId;

	public double getScore() {
		return score;
	}

	public void setScore(double score) {
		this.score = score;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getUserAvatar() {
		return userAvatar;
	}

	public void setUserAvatar(String userAvatar) {
		this.userAvatar = userAvatar;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getUserSubject() {
		return userSubject;
	}

	public void setUserSubject(String userSubject) {
		this.userSubject = userSubject;
	}

	public Date getJoinDate() {
		return joinDate;
	}

	public void setJoinDate(Date joinDate) {
		this.joinDate = joinDate;
	}

	public int getTimes() {
		return times;
	}

	public void setTimes(int times) {
		this.times = times;
	}

	public Long getResourceId() {
		return resourceId;
	}

	public void setResourceId(Long resourceId) {
		this.resourceId = resourceId;
	}
}
